EDIT - feature request #10212

Add usePlural to StateData
12/19/2022 04:03 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal

Description

To allow having only 1 state/structure for the same thing. But only distinguish correct representation in StateData by the new flag.

In TaxEditor we may show both normal and plural label in combobox as 2 entries. Depending on the selection the flag should be set.

Related issues:
Related to EDIT - feature request #8142: Representations have optional "plura... Closed

Related to EDIT - feature request #10213: Adapt taxeditor to use StateData.us... New

Associated revisions

Revision 3a935f11 - 12/19/2022 04:50 PM - Andreas Miiller
fix #10212 add usePlural to StateData

Revision d33badd8 - 12/19/2022 04:51 PM - Andreas Miiller
ref #10212 update test H2 for taxeditor

Revision 35a9827b - 12/19/2022 04:52 PM - Andreas Miiller
ref #10212 update test H2 for vaadin

Revision aa1e840e - 12/20/2022 09:24 AM - Andreas Miiller

ref #10212 adapt formatters to usePlural

History

#1 - 12/19/2022 04:03 PM - Andreas Miuller

- Related to feature request #8142: Representations have optional "plural” as additional field added

#2 - 12/19/2022 04:03 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 50

#3 - 12/19/2022 04:50 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 50 to 70

Applied in changeset cdmlib|3a935f11615fe5bb21d9e1bd00858d057¢cb1ba77.

#4 - 12/20/2022 09:02 AM - Andreas Miiller
- Related to feature request #10213: Adapt taxeditor to use StateData.usePlural added

#5 - 12/20/2022 09:25 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

adapted formatters in cdmlib. | guess this can be closed.
